This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 568031 - dhclient-${IF}-up-hooks and other scripts are not run
dhclient-${IF}-up-hooks and other scripts are not run
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dhcp (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jiri Popelka
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 571720
  Show dependency treegraph
 
Reported: 2010-02-24 11:06 EST by Matt Castelein
Modified: 2010-03-09 05:35 EST (History)
1 user (show)

See Also:
Fixed In Version: dhcp-4.1.1-9.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 571720 (view as bug list)
Environment:
Last Closed: 2010-03-08 22:38:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matt Castelein 2010-02-24 11:06:33 EST
Description of problem:
The man page of dhclient-script lists many 'hooks' scrips which are to be sourced during the various states of DHCP.  They are not being executed.

Version-Release number of selected component (if applicable):
dhclient-4.1.1-5.fc12.x86_64

How reproducible:
Always

Steps to Reproduce:
1.make scripts as described in man pages
2.bring interfaces up
3.renew DHCP lease
  
Actual results:
Nothing

Expected results:
Scripts run

Additional info:
Man page says scripts are to be placed in /usr/local/etc/ but I tried /etc/ also just in case the man pages lie.
Comment 1 Jiri Popelka 2010-02-24 12:07:44 EST
You are right Matt. Paths in man pages need fix.
Correct path is /etc/dhcp/, so you can create one of these:
/etc/dhcp/dhclient-${interface}-up-hooks
/etc/dhcp/dhclient-${interface}-down-hooks
/etc/dhcp/dhclient-up-hooks
/etc/dhcp/dhclient-down-hooks
/etc/dhcp/dhclient-enter-hooks
/etc/dhcp/dhclient-exit-hooks

To see in detail how these scripts are called look directly into /sbin/dhclient-script.

Oh ... and maybe you will need to add
DHCLIENTARGS=-nc
to your /etc/sysconfig/network-scripts/ifcfg-${interface}
(see. -nc option in man dhclient)
Comment 2 Fedora Update System 2010-02-25 12:29:22 EST
dhcp-4.1.1-9.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/F12/FEDORA-2010-2763
Comment 3 Matt Castelein 2010-02-26 15:10:40 EST
Jiri, which man pages got updated?  I see the note about fixing paths in man pages on koji, but I don't see where the man pages in the dhcp package even reference them.  The man pages that need to be fixed are in the dhclient package, for which there is apparently no distinct component in bugzilla.
Comment 4 Fedora Update System 2010-02-26 22:32:54 EST
dhcp-4.1.1-9.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dhcp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-2763
Comment 5 Jiri Popelka 2010-03-02 07:53:16 EST
(In reply to comment #3)
> Jiri, which man pages got updated?  I see the note about fixing paths in man
> pages on koji, but I don't see where the man pages in the dhcp package even
> reference them.  The man pages that need to be fixed are in the dhclient
> package, for which there is apparently no distinct component in bugzilla.    

I fixed dhclient-script(8) and dhcpd.conf(5).
- dhclient-script is in dhclient package
- dhcpd.conf is in dhcp package
dhclient is subpackage of dhcp so in bugzilla it belongs to dhcp component.
See the build
http://koji.fedoraproject.org/koji/buildinfo?buildID=158653
Comment 6 Matt Castelein 2010-03-02 10:11:54 EST
Sorry Jiri, I must be losing my mind.  I have *all* of the update now, and it looks good.
Comment 7 Fedora Update System 2010-03-08 22:37:58 EST
dhcp-4.1.1-9.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.